Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

Path Parameters

waitpointId
string
required

The ID of the waitpoint token to complete.

Body

application/json
data
any

Any JSON-serializable value to pass back to the run waiting on this token. The data will be returned from wait.forToken() as the result payload.

Example:

Response

Waitpoint token completed successfully

success
enum<boolean>
required

Always true when the request succeeds.

Available options:
true